/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mit Okt  2 12:49:39 CEST 2002
    copyright            : (C) 2002 by Philipp Ghring
    email                : pg@futureware.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "ibface.h"
#include "IBFace.h"

static const char *description =
	I18N_NOOP("IBFace");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <fcntl.h>


int client_sockfd;
                  
int send(const char *text)
{
  if(text==NULL) return(0);
  //printf("Sending -%s-\n",text);
  return write(client_sockfd,text,strlen(text));
}

void receive (QString &text)
{
  char Puffer[100];
  memset(Puffer,0,sizeof(Puffer));
  read(client_sockfd,Puffer,sizeof(Puffer)-1);
  text+=Puffer;
}

int main(int argc, char *argv[])
{
  int ret;

  struct sockaddr_in address;
  int result;
  client_sockfd=socket(AF_INET,SOCK_STREAM,0);
  fcntl(client_sockfd,F_SETFL,O_NONBLOCK|fcntl(client_sockfd,F_GETFL,0));
  address.sin_family=AF_INET;
  address.sin_addr.s_addr=inet_addr("127.0.0.1");
  address.sin_port=htons(1072);
  result=connect(client_sockfd,(struct sockaddr *)&address,sizeof(address));
  if(result==-1)
  {
    perror("Client");
  }

  printf("Result: %d\n",result);
  printf("Errno: %d\n",errno);

  KAboutData aboutData( "ibface", I18N_NOOP("IBFace"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Philipp Ghring", 0, 0, "pg@futureware.at");
  aboutData.addAuthor("Philipp Ghring",0, "pg@futureware.at");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  IBFaceDlg *ibface = new IBFaceDlg();
  a.setMainWidget(ibface);
  ibface->show();  

  ret=a.exec();
  close(client_sockfd);
  return ret;
}
