<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:decimal-format decimal-separator="," grouping-separator="."/>
<xsl:output method="html" encoding="utf-8"/>
<xsl:param name="funktion"/>
<xsl:param name="id"/>
<xsl:param name="special"/>
<xsl:param name="q"/>
<xsl:param name="s"/>
<xsl:template match="/">
<xsl:variable name="pagecount"><xsl:value-of select="count(document('file://pages.xml')/root/page)"/></xsl:variable>

<html>
<head><title><xsl:value-of select="/project/name"/> - <xsl:value-of select="$funktion"/></title>

<style type="text/css">
body { background-color:#c4d6ee; color:#434352; }
a.black { text-decoration:none; background-color: transparent; color="black" } /* standard link */
a:hover.black { text-decoration:none; background-color: transparent; color="blue" } /* standard link */
a { text-decoration:none; background-color: transparent; color=black } /* standard link */
a:hover { text-decoration:none; background-color: transparent; color="yellow"} /* link hover */
a.popup { font-size:10px; font-family:verdana,arial,helvetica,sans-serif; color:"blue"; } /* link in popup-menus */
td.small { font-size:10px; font-family:verdana,arial,helvetica,sans-serif; color:black; } /* standard small font */
td.small2 { font-size:10px; font-family:verdana,arial,helvetica,sans-serif; color:white; } /* standard small font */
td,pre { font-size:10pt; font-family:arial,helvetica,sans-serif; color:black; font-weight:normal; } /* standard font */
h1 { font-size:12pt; font-family:arial,helvetica,sans-serif; color:"#9898af"; font-weight:bold; } /* 1st heading */
h2 { font-size:10pt; font-family:arial,helvetica,sans-serif; color:black; font-weight:normal; line-height:14pt;} /* 2nd heading */
h3 { font-size:12pt; font-family:arial,helvetica,sans-serif; font-weight:normal; line-height:14pt;} /* 2nd heading */
h4 { font-size:12pt; font-family:arial,helvetica,sans-serif; font-weight:normal; line-height:14pt;} /* */
</style>

</head>
<body>

<table cellpadding="0" cellspacing="0" width="750" border="0" align="center">

<tr bgcolor="#9c99b4">
<td colspan="4"><img src="images/logo.jpg" border="0" width="750" height="80" alt="{/project/name}"/></td>
</tr>

<tr bgcolor="#434352">
<td colspan="4">


<table cellpadding="3" cellspacing="0" border="0" width="100%">
<tr>
<xsl:for-each select="document('file://pages.xml')/root/page">

<td align="center"><a href="{.}.html"><font><xsl:choose><xsl:when test=".=$funktion"><xsl:attribute name="color">#ffffff</xsl:attribute><b><xsl:value-of select="."/></b></xsl:when><xsl:otherwise><xsl:attribute name="color">#d0d0d0</xsl:attribute><xsl:value-of select="."/></xsl:otherwise></xsl:choose></font>
</a></td>

</xsl:for-each>
</tr>
</table>

</td>
</tr>


<tr>
<td align="left" width="10" bgcolor="#ffffff"></td>

<td align="left" width="580" bgcolor="#ffffff" valign="top" style="margin: 2px">



<!-- PAGE CONTENT -->



<xsl:choose>
<!-- CONTACT, DEVELOPERS -->
<xsl:when test="$funktion='contact'">

<xsl:value-of select="/project/shortDescription"/>
<hr color="#a0a0a0"/>
<p><font size="+1"><xsl:value-of select="/root/ie/title"/></font></p>
Developers:
<ul>
<xsl:for-each select="/project/developers/developer">
<li> <xsl:value-of select="name"/><a href="mailto:{email}">&lt;<xsl:value-of select="email"/>&gt;</a> (<xsl:value-of select="roles"/>)</li>
</xsl:for-each>
</ul>




<p>Feel free to contact the developers directly for any questions, ...</p>

</xsl:when>

<!-- DOWNLOAD -->
<xsl:when test="$funktion='faq'">
<font size="+1"><xsl:value-of select="/root/ie/title"/></font>

Please direct open questions to <a href="mailto:{//email}"><xsl:value-of select="//email"/></a>.

Frequently asked questions:
<xsl:choose>
<xsl:when test="document('file://faq.xml')/root/faq">
<ul>
<xsl:for-each select="document('file://faq.xml')/root/faq">
<li>Q: <xsl:value-of select="q"/>?</li>
<li>A: <xsl:value-of select="a"/></li><br/>
</xsl:for-each>
</ul>
</xsl:when>
<xsl:otherwise>
None.
</xsl:otherwise>
</xsl:choose>

</xsl:when>

<!-- DOWNLOAD -->
<xsl:when test="$funktion='download'">
<font size="+1"><xsl:value-of select="/root/ie/title"/></font>

Download:
<ul>
<xsl:for-each select="/project/build">
<li> <xsl:value-of select="name"/>: <xsl:for-each select="download"><a href="{url}"><xsl:value-of select="format"/></a></xsl:for-each> </li>
</xsl:for-each>
</ul>
</xsl:when>

<!-- EINZELANZEIGEN -->
<xsl:when test="$funktion='view'">
<xsl:choose>

<!-- EINZELANZEIGE KAMPANGNEN -->
<xsl:when test="/root/ie@type='project'">
<a href="/cgi-bin/index?funktion=view&amp;id={$id}&amp;special=printme"><img src="/images/printer.gif" border="0" alt="Druck mich" align="right"/></a>
<table border="0" bgcolor="#ffffff" align="center" width="90%" cellspacing="1">
<tr><td bgcolor="#bbd1d1"><font face="Verdana" color="#ffffff" size="-2"><b>!CURRENTLY&#160;RUNNING!</b></font></td></tr>
<tr><td bgcolor="#ffffff"></td></tr>
<tr><td bgcolor="#eaf0f0">
<xsl:for-each select="/root/ie">
  <table cellspacing="7" cellpadding="7" border="0">
  <tr><td><font face="Verdana" color="#648b8b" size="+1"><b><xsl:value-of select="title"/></b></font></td><td bgcolor="#eaf0f0" rowspan="3"><img src="/images/1x1.gif" width="10" alt=""/></td></tr>
  <tr><td><font face="Verdana" color="#648b8b" size="-1"><xsl:value-of select="remarks"/></font></td></tr>
  <tr><td><font face="Verdana" color="#648b8b" size="-1"><xsl:copy-of select="projectbody/text"/></font></td></tr>
  <tr><td><hr color="#899293"/></td></tr>
  <tr><td><a href="/cgi-bin/index?funktion=campaign"><font color="#696acc" face="Verdana" size="-1">&lt; &lt; alle aktuellen Kampangnen anzeigen</font></a></td></tr>
</table>
</xsl:for-each>
</td></tr>
</table>

</xsl:when>
<!-- EINZELANZEIGE THEMA TOPIC -->
<xsl:when test="/root/ie@type='topic'">

<table border="0" align="left" width="100%" cellspacing="0" cellpadding="0" height="100%">
<tr><td valign="top">

<!-- Topic Liste -->
<table border="0" height="100%">
<xsl:for-each select="/root/topics/ie">
<xsl:sort select="title"/>
      <tr><td><xsl:if test="$id=@id"><img src="/images/pfeil.gif" width="10" height="10" alt="*"/></xsl:if></td>
        <td><a href="/cgi-bin/index?funktion=view&amp;id={@id}"><font face="Verdana" color="#7cb2b2" size="-1"><b><xsl:value-of select="title"/></b></font></a></td></tr>
</xsl:for-each>
</table>

</td><td valign="top" height="100%">
<table border="0" bgcolor="#eef5f7" align="right" height="100%">
<xsl:for-each select="/root/ie">
  <tr><td><a href="/cgi-bin/index?funktion=view&amp;id={@id}"><font face="Verdana" color="#6b7372"><b><xsl:value-of select="title"/></b></font></a></td><td><a href="/cgi-bin/index?funktion=view&amp;id={$id}&amp;special=printme"><img src="/images/printer.gif" border="1" alt="Druck mich"/></a></td></tr>
  <tr><td><font face="Verdana" color="#6b7372"><xsl:value-of select="remarks"/></font></td></tr>
  <tr><td><font face="Verdana" color="#6b7372" size="-2"><xsl:copy-of select="topicbody/text"/></font></td></tr>

</xsl:for-each>
</table>
</td></tr></table>

</xsl:when>
<!-- DEPESCHE -->
<xsl:otherwise>
<table border="0" cellspacing="5">
<tr>
<td width="90%"><font face="Verdana,Arial" size="+1" color="#000000"><b><xsl:value-of select="/root/ie/title"/></b></font></td>
<td width="10%"><a href="/cgi-bin/index?funktion=view&amp;id={$id}&amp;special=printme"><img src="/images/printer.gif" border="0" alt="Druck mich"/></a></td>
</tr>
<tr><td colspan="2">
<font face="Verdana,Arial" size="-1">Date: <xsl:value-of select="/root/ie/creationdate"/>
<hr size="1" noshade="NOSHADE" />
<br />
<xsl:value-of select="/root/ie/title"/><br />
<br />
<xsl:value-of select="/root/ie/remarks"/>
<br />
<br />
<xsl:copy-of select="/root/ie/notebody/text"/>

<br />
</font>
</td>
</tr>
</table>
</xsl:otherwise>
</xsl:choose>


</xsl:when>
<xsl:when test="$funktion='links'">
 <table border="0">
  <tr><td valign="top">
   <table border="0">
    <xsl:for-each select="document('file://bookmarks.xml')/xbel/folder/bookmark">
      <tr><td><xsl:if test="$id=@id"><img src="/images/pfeil.gif" width="10" height="10" alt="*"/></xsl:if></td>
        <td><a href="{@href}"><font color="#4354e3" size="-2"><b><xsl:value-of select="title"/></b></font></a></td></tr>
     </xsl:for-each>
   </table>
  </td>
</tr></table>
</xsl:when>

<!-- SCREENSHOTS -->
<xsl:when test="$funktion='screenshots'">
  <table border="0" cellpadding="4" cellspacing="2">
    <tr><td bgcolor="#ffffff" rowspan="2"><img src="/images/1x1.gif" width="1" height="1" border="0" alt=""/></td>
     <td bgcolor="#eaf0f0"><font face="Verdana" color="#648b8b" size="-1">&#160;<b>Screenshots:</b></font></td></tr>
     <tr><td bgcolor="#ffffff" height="3"><img src="/images/1x1.gif" width="1" height="1" border="0" alt=""/></td></tr>

    <xsl:for-each select="document('file://modules/dir/dir.xml')//dir[@name='screens']/file">
     <tr>
       <td><a href="screens/{.}" target="_blank"><img src="screens/{.}" border="0" alt="{.}" width="200" height="150"/></a>
       </td>
       <td><xsl:value-of select="."/>
       </td>
     </tr>
 
     <tr><td bgcolor="#ffffff" height="1"><img src="/images/1x1.gif" width="1" height="1" border="0" alt=""/></td></tr>
    </xsl:for-each>

</table>

</xsl:when>
<!-- DOKUMENTE LISTE -->
<xsl:when test="$funktion='documents'">

<table border="0" cellspacing="0" cellpadding="0">
<tr><td bgcolor="#ffffff">/doquments:</td><td width="2"></td><td></td><td bgcolor="#e7e7e7">/file</td></tr>

<xsl:for-each select="/root/ie">
 <tr><td rowspan="3" bgcolor="#e7e7e7"><font face="Verdana"><b><xsl:value-of select="title"/></b></font><br/><font face="Verdana" size="-1"><xsl:value-of select="remarks"/></font></td>
   <td rowspan="3"><img src="/images/1x1.gif" width="1" height="1" border="0" alt=""/></td>
   <td bgcolor="#e7e7e7" height="20"><img src="/images/1x1.gif" width="1" height="1" border="0" alt=""/></td>
   <td rowspan="3"><font size="-2" face="Verdana"><xsl:value-of select="filebody/contenttype"/></font></td></tr>
 <tr height="12" valign="bottom"><td valign="bottom"><xsl:value-of select="substring(creationdate,1,10)"/></td></tr>
 <tr height="3"><td bgcolor="#e7e7e7" rowspan="2"><img src="/images/1x1.gif" width="1" height="3" border="0" alt=""/></td></tr>
 <tr height="2"><td colspan="2" height="2"><img src="/images/1x1.gif" width="1" height="3" border="0" alt=""/></td></tr>
</xsl:for-each>
</table>
<!--  <font face="Verdana" size="-1" color="#303030">
   <table border="0">
    <xsl:for-each select="/root/ie">
     <tr><td><font color="#808080" size="-1"><xsl:value-of select="creationdate"/></font></td></tr>
     <tr><td><b><a href="/cgi-bin/index?funktion=view&amp;id={@id}"><xsl:value-of select="title"/></a></b></td></tr>
     <tr><td><font size="-1">Format: <xsl:value-of select="filebody/contenttype"/></font></td></tr>
     <tr><td><font size="-1">Dateigre: <xsl:value-of select="format-number((filebody/filesize div 1024),'#.##0,##')"/> KB</font></td></tr>

    </xsl:for-each>
   </table>
  </font>
-->
</xsl:when>

<!-- SEARCHRESULT SUCHERGEBNIS -->
<xsl:when test="$funktion='search'">
<table border="0" cellspacing="1" bgcolor="#6A7173" align="center">
<tr><td>
<table border="0" cellspacing="2" bgcolor="#ffffff">

<xsl:for-each select="/root/searchresult/ie">
<tr><td><img src="/images/block/{@type}.gif" width="11" height="13" alt=""/><b><a href="/cgi-bin/index?funktion=view&amp;id={@id}"><font face="Verdana"><xsl:value-of select="title"/></font></a></b></td></tr>
<tr><td><font color="#808080" size="-1" face="Verdana"><xsl:value-of select="creationdate"/></font></td></tr>
<xsl:if test="remarks"><tr><td><font size="-1"><xsl:value-of select="remarks"/></font></td></tr></xsl:if>
</xsl:for-each>
<tr><td align="center">
<xsl:if test="number($s)>1"><a href="/cgi-bin/index?q={$q}&amp;s={number($s)-10}">&lt;&lt;</a></xsl:if> 
[ <xsl:value-of select="$s"/> .. <xsl:value-of select="number($s)+count(/root/searchresult/ie)-1"/> ]
<xsl:if test="count(/root/searchresult/ie)=10"><a href="/cgi-bin/index?q={$q}&amp;s={number($s)+10}">>></a></xsl:if>
</td></tr></table>
</td></tr></table>
</xsl:when>

<!-- STARTSEITE -->
<xsl:otherwise>

<!--
  <xsl:value-of select="/project/name"/> is a project of <a href="{/project/organization/url}"><xsl:value-of select="/project/organization/name"/></a>.
  It can be described as:
-->

  <xsl:copy-of select="/project/description/node()"/> <xsl:if test="string-length(/project/description)=0"><xsl:value-of select="/project/shortDescription"/></xsl:if>

<xsl:if test="/root/ie">
   <table border="0" cellpadding="1" cellspacing="0">
    <xsl:for-each select="/root/ie">
     <tr><td rowspan="3" width="10"><img src="/images/1x1.gif" width="1" height="1" alt=""/></td><td>
      <font color="#808080" size="-1"><xsl:value-of select="creationdate"/></font></td></tr>
     <tr><td><b><a href="/cgi-bin/index?funktion=view&amp;id={@id}"><font size="-1"><xsl:value-of select="title"/></font></a></b></td></tr>
     <tr><td><font size="-1" color="#666666"><xsl:value-of select="remarks"/></font></td></tr>
     <tr><td colspan="2">-.-. --.-  -.-. --.-  -.-. --.-  -.-. --.-  -.-. --.-  -.-. --.-  -.-. --.-  -.-. --.-</td></tr>
    </xsl:for-each>
   </table>
</xsl:if>

</xsl:otherwise>
</xsl:choose>


    </td>
   <td width="15" bgcolor="#FFFFFF"></td>


<!-- RECHTE SPALTE -->

  <td bgcolor="#acbea4">

  </td>




  </tr>

  <tr>

<!--   <td colspan="2" align="center" valign="bottom"><br/><a href="http://www.livingxml.net/" target="_blank"><img src="images/poweredkl.jpg" width="108" height="36" border="0" alt="Powered by LivingXML.net"/></a></td>-->

<!--     <td align="right" rowspan="2"><a href="http://quick.futureware.at/cgi-bin/quickrefer" title="Zuerst hier klicken, dann auf ein Wort klicken"><img src="images/umbtn.png" border="0" alt="Glossary"/></a></td>
-->

  </tr>
 </table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
